## Class Swift_Mailer_ArrayRecipientIterator

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mailer/ArrayRecipientIterator.php

##### Wraps a standard PHP array in an interator.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mailer_ArrayRecipientIterator __construct ( $recipients)
boolean hasNext ()
array nextRecipient ()

#### Constructor __construct (line 34)

#### Swift_Mailer_ArrayRecipientIterator __construct( $recipients)

##### Create a new ArrayRecipientIterator from $recipients.

#### Parameters

- array $recipients:

#### Info

- access - public

#### Method hasNext (line 43)

#### boolean hasNext( )

Implementation of:

Swift_Mailer_RecipientIterator::hasNext()
  Returns true only if there are more recipients to send to.

##### Returns true only if there are more recipients to send to.

#### Info

- access - public

#### Method nextRecipient (line 54)

#### array nextRecipient( )

Implementation of:

Swift_Mailer_RecipientIterator::nextRecipient()
  Returns an array where the keys are the addresses of recipients and the values are the names.

##### Returns an array where the keys are the addresses of recipients and the values are the names.

e.g. ('foo@bar' => 'Foo') or ('foo@bar' => NULL)

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:13 +0000 by phpDocumentor 1.4.3